You are here: Known Vulnerabilities in Mozilla Products (Firefox 1.5.0.7) > MFSA 2006-62

Mozilla Foundation Security Advisory 2006-62

Title: Popup-blocker cross-site scripting (XSS)
Impact: Moderate
Announced: September 14, 2006
Reporter: shutdown
Products: Firefox

Fixed in: Firefox 1.5.0.7

Description

shutdown demonstrated that blocked popups opened from the status bar "blocked popups" icon were always opened in the context of the site listed in the Location (address) bar, even if the blocked popup were originally opened by a subframe loaded from another site. This allows the popup to perform a cross-site scripting attack against the framing web site.

This does not appear to be much of a practical threat. The malicious page would first have to get itself framed by the target page, attempt to open a popup, and then convince the user that the popup contents were so important or interesting that it must be opened manually. (Before MFSA 2006-61 was fixed the first step was simpler: find a target site that uses frames and open it in a popup -- which might itself be blocked.)

Workaround

Avoid opening blocked popups from the blocked-popup icon in the status bar. Instead if you wish to see popups add the site to the popup-blocking whitelist and reload to get the popup with the correct context.

References